/* Copy the "srelite" procedures to this directory */


foo=rxfuncquery('rexxlibregister')
if foo=1 then do
 say ' loading REXXLIB '
 call rxfuncadd 'rexxlibregister','rexxlib', 'rexxlibregister'
 call rexxlibregister
end
/*--------------   Load REXX libraries ----- */
/* Load up advanced REXX functions */
call RxFuncAdd 'SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs'
call SysLoadFuncs



retc=copyme('OPENREAD.SRF','SREF_OPEN_READ')
retc=copyme('REPSTRG.SRF','SREF_REPLACESTRG')
retc=copyme('SREFVALU.SRF','SREF_VALUE')

retc=copyme('UNCHUNK.SRF','SREF_UNCHUNK')
retc=copyme('CHUNK.SRF','SREF_CHUNK')


retc=copyme('NOFOUND.SRF','SREF_NOT_FOUND_LOCAL')
retc=copyme('SREFERR.SRF','SREF_ERROR')

retc=copyme('GETBODY.SRF','SREF_GET_BODY')

retc=copyme('WILDCARD.SRF','SREF_WILDCARD')

retc=copyme('PACK64.SRF','SREF_PACK64')
retc=copyme('MKPACK64.SRF','SREF_MKPACK64')

retc=copyme('SREFVER.SRF','SREF_VERSION')
retc=copyme('GRABFIL1.SRF','SREF_GRAB_FILE')
retc=copyme('HOST.SRF','SREF_HOST')
retc=copyme('EXTRACTB.SRF','SREF_EXTRACT_BLOCK')
retc=copyme('ASKAUTH.SRF','SREF_ASK_AUTH')
retc=copyme('MKDIGEST.SRF','SREF_DIGEST_AUTH')
retc=copyme('DOLOGON.SRF','SREF_DOLOGON')
retc=copyme('COMPWORD.SRF','SREF_COMPWORD')

retc=copyme('FIX_URL.SRF','SREF_FIX_URL')
retc=copyme('GET_URL.SRF','SREF_GET_URL')
retc=copyme('SREF_GMT.SRF','SREF_GMT')

retc=copyme('md5.srf','sref_md5')
retc=copyme('rexx_md5.srf','sref_rexx_md5')
retc=copyme('fixurl.SRF','SREF_FIX_URL_EXT')

retc=copyme('GTCOOKIE.SRF','SREF_GET_COOKIE')
retc=copyme('RESPONSE.SRF','SREF_RESPONSE')
retc=copyme('ISAMOVE.SRF','SREF_ISA_MOVE')
retc=copyme('PMPRINTF.SRF','PMPRINTF_SREF')
retc=copyme('ADDCOMMA.SRF','SREF_ADDCOMMA')
retc=copyme('CHKBROWS.SRF','SREF_BROWSER_INFO')
retc=copyme('MULTSEND.SRF','SREF_MULTI_SEND')

retc=copyme('WILDMTCH.SRF','SREF_WILD_MATCH')

retc=copyme('DOCGI.srf','SREF_DOCGI')
retc=copyme('MAILIT.srf','SREF_MAILIT')
retc=copyme('UPWD.SRF','SREF_EXTRACT_UPWD')
retc=copyme('RANGE.SRF','SREF_PROCESS_RANGE')


/* these three are NOT the same as the Sre-http versions
(they are smaller) */
retc=copyme('SREFGOSL.SRF','SREF_GOS')
retc=copyme('DOVIRTL.SRF','SREF_DO_VIRTUAL') 
retc=copyme('SRELNOTF.SRF','SREF_NOT_FOUND_RESPONSE')

retc=copyme('SRELSSI.SRF','SRELI_DO_SSI')
retc=copyme('SRELADON.SRF','SRELI_PROCESS_ADDON')
retc=copyme('SRELDIR.SRF','SRELI_DIR')
retc=copyme('SRELNTF2.SRF','SRELI_NOTFOUND')
retc=copyme('SRELCGI.SRF','SRELI_CGI')
retc=copyme('SRELRANG.SRF','SRELI_RANGE')

say " done "
exit

copyme:
parse arg a1,a2   
call charout,"copying " a1 " (the "a2" procedure): "
'@copy ..\'||a1' . > nul '
if rc=0 then do
   say " OK "
end
else do
   say "Error (" rc
   say "hit enter to continue"
   pull foo
end
return 1


